List audit logs by entity
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/governance/entities/{entityType}/{entityId}/audit-logs \
--header 'Authorization: Bearer <token>'import requests
url = "https://matcher.sandbox.lerian.net/v1/governance/entities/{entityType}/{entityId}/audit-logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/governance/entities/{entityType}/{entityId}/audit-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasMore": true,
"items": [
{
"action": "CREATE",
"actorId": "user@example.com",
"changes": [
123
],
"createdAt": "2025-01-15T10:30:00.000Z",
"entityId": "019c96a0-10a0-72d2-9fb0-2b7de8093182",
"entityType": "reconciliation_context",
"id": "019c96a0-0b61-71a2-8595-dde786b5bcc6",
"tenantId": "019c96a0-0a98-7287-9a31-786e0809c769",
"truncated": false,
"originalSize": 0
}
],
"limit": 20,
"nextCursor": "eyJpZCI6IjEyMyJ9",
"prevCursor": "eyJpZCI6IjEyMiJ9"
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0004",
"title": "Forbidden",
"message": "You do not have the necessary permissions to perform this action. Please contact your administrator if you believe this is an error."
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}List audit logs by entity
Use this endpoint to retrieve all audit log entries for a specific entity. The results are ordered by creation time descending. This allows you to trace the complete change history of any entity in the system.
GET
/
v1
/
governance
/
entities
/
{entityType}
/
{entityId}
/
audit-logs
List audit logs by entity
Authorizations
Bearer token authentication (format: "Bearer {token}")
Headers
A unique identifier for tracing the request across services.
Query Parameters
The maximum number of items to include in the response.
Required range:
1 <= x <= 200The cursor value for retrieving the next page of results.
Response
Indicates that the request was successful and the response contains the expected data.
Was this page helpful?
⌘I

